Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2828143007: Attempt to disable tab_capture_end2end_tests on the trybots. (Closed)

Created:
2 years, 4 months ago by Dirk Pranke
Modified:
2 years, 4 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Attempt to disable tab_capture_end2end_tests on the trybots. There is currently a weird interaction going on between tab_capture_end2end_tests and browser_tests on the trybots, as the result of some bugs in the `analyze` step. It's not immediately obvious what the best way to fix this is, but it looks like browser_tests isn't being run many times when it should be, and that's bad. I think this CL will remove the collision and cause browser_tests to run regularly, but it will cause the tab_capture tests to *not* run on the trybots. Hopefully this is an acceptable temporary workaround, but we need a real fix ASAP. TBR=kbr@chromium.org, thakis@chromium.org, jam@chromium.org, enne@chromium.org BUG=714336 NOTRY=true Review-Url: https://codereview.chromium.org/2828143007 Cr-Commit-Position: refs/heads/master@{#466704} Committed: https://chromium.googlesource.com/chromium/src/+/2b3b32f690472ea7bfb3c676adce4f3874bab95c

Patch Set 1 #

Patch Set 2 : remove test.gni revert #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -5 lines) Patch
M chrome/test/BUILD.gn View 1 chunk +8 lines, -3 lines 0 comments Download
M testing/buildbot/gn_isolate_map.pyl View 1 chunk +3 lines, -1 line 0 comments Download
M tools/mb/mb.py View 1 chunk +4 lines, -1 line 0 comments Download

Messages

Total messages: 34 (21 generated)
Dirk Pranke
2 years, 4 months ago (2017-04-22 02:32:44 UTC) #3
Nico
Reverting the test.gni bit seems strange to me, end2end isn't a test(). Do you think ...
2 years, 4 months ago (2017-04-22 02:48:57 UTC) #4
Dirk Pranke
On 2017/04/22 02:48:57, Nico wrote: > Reverting the test.gni bit seems strange to me, end2end ...
2 years, 4 months ago (2017-04-22 18:25:44 UTC) #7
Nico
On 2017/04/22 18:25:44, Dirk Pranke wrote: > On 2017/04/22 02:48:57, Nico wrote: > > Reverting ...
2 years, 4 months ago (2017-04-22 19:58:25 UTC) #12
Dirk Pranke
I think I have a better fix in https://codereview.chromium.org/2838473002/ that should make both test suites ...
2 years, 4 months ago (2017-04-23 02:26:56 UTC) #14
Dirk Pranke
On 2017/04/23 02:26:56, Dirk Pranke wrote: > I think I have a better fix in ...
2 years, 4 months ago (2017-04-24 16:04:14 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828143007/40001
2 years, 4 months ago (2017-04-24 16:06:06 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/437109)
2 years, 4 months ago (2017-04-24 16:58:32 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828143007/20001
2 years, 4 months ago (2017-04-24 17:24:07 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/437161)
2 years, 4 months ago (2017-04-24 18:33:53 UTC) #25
Dirk Pranke
bypassing the tryjobs for now, the failures are flakes.
2 years, 4 months ago (2017-04-24 18:38:40 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828143007/20001
2 years, 4 months ago (2017-04-24 18:51:46 UTC) #31
commit-bot: I haz the power
2 years, 4 months ago (2017-04-24 19:00:47 UTC) #34
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/2b3b32f690472ea7bfb3c676adce...

Powered by Google App Engine
This is Rietveld 408576698